Samsung LE32B650 - Basic Help

Help
Peter H
2010-11-14
2013-05-29
  • Peter H

    Peter H - 2010-11-14

    Hi,

    I have managed to get MiniDlna to run using the Static code with  Fedora13.

    There is such a lot of information on how to configure the server I do not know where to start and would appreciate a pointer to any information to help get it working!

    So far I set up a folder for audio,  video and photos,  but all I can see on the TV is a video file from my camera but no photos (I will need to check the .conf file to sort it out).

    My main problem is that I can see the video file and play it OK but the TV says it is in the wrong audio data format.

    I have not played with the video file that came direct from my Fuji camera.  It is labelled DSCF1126.AVI,  and I can play it OK with Totem media player which reports it as 640x480 using Motion JPEG codec.  The Audio codec is an uncompressed 8 bit PC… (cannot read the remainder).

    How can I get this file heard on the TV?

    Can I reconfigure the minidlna I am running or would I have to compile it?
    I ask this as I could not get it to compile due to the large amount of dependencies (I do have an up to date fc13 though).

    A general pointer to any information on getting the server to work with my TV or any available rpm's would also be appreciated.

    Apologies if this subject has been covered before.

    Regards 

      
    Peter H

     
  • Craig Chambers

    Craig Chambers - 2010-11-15

    Hi Peter,

    I don't have a Samsung TV, but here's a couple of pointers…

    1) As you said, check your media paths.  You may need to ensure that folders and media are readable by other users depending on what user miniDLNA is running as.
    2) Not sure if this is relevant for a Samsung, but on my Sony TV there are different top level options for video, photo and music.  On selecting one of these options I get the same options again e.g. if I select Video, and then photo, it's actually looking for photos in the video folders and finds nothing.  To view photos I must start with the top level photo option, then select photo again.  As I say, this may not be relevant for your TV, but I know it's caught me out on a couple of occasions and I've seen others with the problem.

    3) miniDLNA currently does not transcode videos.  If your TV does not support uncompressed PCM audio in a video container then you will not hear the audio unless you either re-encode the video to use a format that the TV does support, or switch to a DLNA server that transcodes.

    HTH,
    Craig

     
  • Craig Chambers

    Craig Chambers - 2010-11-15

    Slight correction, it should say above…

    e.g. if I select Video, and then photo, it's actually looking for videos in the photos folders and finds nothing

     
  • Peter H

    Peter H - 2010-11-15

    Craig,

    Thanks for the info.  I will look at the video side later.
    ATM I have set the server to scan files in my /home/peter/minidlna folder (multiple sub -folders for music photos and videos).  I created the sub folders and put i some relevant files that could be scanned.  I have got inotify set to "no"  and the notify interval set to 300 seconds.
    I have a script to run the server a boot however I am not sure how I can get the server to re-scan!
    ATM it still shows an old video file in the list which cannot be played as it's not there any more - something simple I think!

    I have managed to use Totem (fc13) a client using its "Coherence DNLA/UPnP"  which gives the same result as the TV:
    Server -  Study PC

    > Browse Folders (1)
    > Music (6)
    >Pictures (4)
    >Video (2)

    The music and pictures both have empty sub folders.  The "Browse Folders"  has my one video file,  the two  sud folders in "Video"  have two folders "All Video" and "Folders"  both contain the same video file.
    So, it seems I had a video file which showed up OK,  however even after a reboot and new configuration it still shows the old configuration.
    Why is this likey to be happening?
    Could this be due to the start script,  I thought the server would auto magically re-scan on a reboot!?

    Thanks

     

      

     
  • Craig Chambers

    Craig Chambers - 2010-11-15

    Hi again,

    The server does not scan on restart, and I have found that it picking up new files is a bit hit and miss (I do use inotify).

    One way to force a rescan is to stop the server and delete the /tmp/minidlna folder, then restart.

    I have also set my start-up script to force a rescan on starting or restarting by adding -R to the ARGS section of the startup script.

    HTH,
    Craig

     
  • Peter H

    Peter H - 2010-11-15

    Thanks for the information.
    I am not a script expert,  this is the last part of my script:

    # Where to keep a log file
    MINIDLNA_LOG="/var/log/minidlna.log"

    # Where the PID lives
    PID_FILE="/var/run/minidlna.pid"

    ## STOP EDITING HERE

    # The path that is to be used for the script
    PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin

    set -e

    # Only start if we can find the minidlna.conf.
    test -x $MINIDLNA || exit 0

    # Parse command line parameters.
    case $1 in
      start)
            echo -n "Starting MiniDLNA: "
            $MINIDLNA -f $ARGS -P $PID_FILE  >> $MINIDLNA_LOG 2>&1
            echo "ok"
            ;;
      stop)
           echo -n "Stopping MiniDLNA: "
               for pidf in `/bin/ls $PID_FILE 2>/dev/null`; do
                if ; then
                    kill `cat $pidf` >/dev/null 2>&1
                fi
                            rm -rf $PIF_FILE
               done
            echo "ok"
            ;;
      restart|reload|force-reload)
            echo "Restarting MiniDLNA: "

        $0 stop
    sleep 2
            $0 start

            ;;
      *)
        # Print help
            echo "Usage: /etc/init.d/minidlna {start|stop|restart|reload|force-reload}"
            exit 1
    ;;
    esac

    exit 0


    Is it this line I must change!?:

    $MINIDLNA -f $ARGS -P $PID_FILE  >> $MINIDLNA_LOG 2>&1

    to

    $MINIDLNA -f $ARGS -R $PID_FILE  >> $MIMIDLNA_LOG2>&1

    Thanks

     
  • Craig Chambers

    Craig Chambers - 2010-11-15

    I'm no expert myself either.  The script you've posted looks different to the one in CVS, though I think mine also is different.

    I think that what you have written would work, but I actually put -R into the ARGS declaration at the top of the script. 

    What I have is:
    ARGS='-R -f /etc/minidlna.conf'

    /Craig

     
  • Peter H

    Peter H - 2010-11-15

    Craig,

    I quickly did that and now it will not run,  even with reboot.  something else must be configured wrong!
    I will start again.  Where is the start up script located that you are using and I will try that one!?
    Thanks

     
  • Craig Chambers

    Craig Chambers - 2010-11-22

    Sorry for the delay.  My start-up script is below.  It's been modified several times, the main reason being that starting on bot in Ubuntu was not working…

     1
     2
     3
     4
     5
     6
     7
     8
     9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44
    45
    46
    47
    48
    49
    50
    51
    52
    53
    54
    55
    56
    57
    58
    59
    60
    61
    #!/bin/bash
    # $Id: minidlna.init.d.script,v 1.1 2009/02/11 19:50:40 jmaggard Exp $
    ### BEGIN INIT INFO
    # Provides:          minidlna
    # Required-Start:    $local_fs $remote_fs $network $syslog
    # Required-Stop:     $local_fs $remote_fs $network $syslog
    # Default-Start:     2 3 4 5
    # Default-Stop:      0 1 6
    # Short-Description: Start/stop minidlna server
    ### END INIT INFO
    MINIDLNA=/usr/sbin/minidlna
    ARGS='-R -f /etc/minidlna.conf'
    #NOW=`date`
    LOGS=/tmp/minidlna.log
    NOOFPING=10
    WAITONFAIL=5
    NETIP="10.0.0.138"
    #Network test - to determine if net is active...
    echo "[`date`] minidlna: Attempting to determine network presence..." >> $LOGS
    for i in `seq 1 $NOOFPING`
    do
        echo "[`date`] minidlna: Attempt $i..." >> $LOGS
        ping -c 1 $NETIP > /dev/null
        NET=$?
        #Check the network situation
        if [ $NET == 0 ]; then
            echo "[`date`] minidlna: network access confirmed ($NET)!" >> $LOGS
            echo "[`date`] minidlna: proceeding with configuration..." >> $LOGS
            break
        else
            echo "[`date`] minidlna: ping failed... ($NET)" >> $LOGS
            sleep $WAITONFAIL
        fi
    
        #Inform user that ping has been tried too many times
        if [ $i == $NOOFPING ]; then
            echo "[`date`] minidlna: ping failed too many times... will try minidlna anyway..." >> $LOGS
        fi
    done
    test -f $MINIDLNA || exit 0
    . /lib/lsb/init-functions
    case "$1" in
    start)  log_daemon_msg "Starting minidlna" "minidlna"
            start-stop-daemon --start --quiet --pidfile /var/run/minidlna.pid --startas $MINIDLNA -- $ARGS $LSBNAMES
            log_end_msg $?
            ;;
    stop)   log_daemon_msg "Stopping minidlna" "minidlna"
            start-stop-daemon --stop --quiet --pidfile /var/run/minidlna.pid
            log_end_msg $?
            ;;
    restart|reload|force-reload)
            log_daemon_msg "Restarting minidlna" "minidlna"
            start-stop-daemon --stop --retry 5 --quiet --pidfile /var/run/minidlna.pid
            start-stop-daemon --start --quiet --pidfile /var/run/minidlna.pid --startas $MINIDLNA -- $ARGS $LSBNAMES
            log_end_msg $?
            ;;
    *)      log_action_msg "Usage: /etc/init.d/minidlna {start|stop|restart|reload|force-reload}"
            exit 2
            ;;
    esac
    exit 0
    

    HTH,
    Craig

     
  • Craig Chambers

    Craig Chambers - 2010-11-22

    bot boot

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks